package com.example.blum.twoseekbars;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.SeekBar;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        SeekBar my_sb1 = (SeekBar) findViewById(R.id.sbEq1);
        SeekBar my_sb2 = (SeekBar) findViewById(R.id.sbEq2);

        //both seekbars calling tne same non-anonymous function
        my_sb1.setOnSeekBarChangeListener(myListener);
        my_sb2.setOnSeekBarChangeListener(myListener);
    }  //end onCreate

    //****************************************************************************************
    SeekBar.OnSeekBarChangeListener myListener = new SeekBar.OnSeekBarChangeListener() {
        @Override
        public void onProgressChanged(SeekBar seekBar, int i, boolean b) {
            //determining which seekbar was changed
            if(seekBar.getId()==R.id.sbEq1){
                final TextView tvShow1 = (TextView) findViewById(R.id.tvShow1);
                tvShow1.setText(""+(i-12));
            }else{
                final TextView tvShow2 = (TextView) findViewById(R.id.tvShow2);
                tvShow2.setText(""+(i-12));
            }
        }

        @Override
        public void onStartTrackingTouch(SeekBar seekBar) {
        }

        @Override
        public void onStopTrackingTouch(SeekBar seekBar) {
        }
    };

}//end MainActivity

